Issue 55943 - guides remain randmly during move
Summary: guides remain randmly during move
Status: CLOSED FIXED
Alias: None
Product: ui
Classification: Code
Component: ui (show other issues)
Version: OOo 2.0
Hardware: PC Linux, all
: P3 Trivial with 2 votes (vote)
Target Milestone: OOo 2.3
Assignee: michael.ruess
QA Contact: issues@ui
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-13 20:14 UTC by plasmasam
Modified: 2007-08-17 10:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
guides remain while resizing a table (42.54 KB, image/png)
2005-10-13 20:15 UTC, plasmasam
no flags Details
another screenshot (54.92 KB, image/png)
2005-10-16 10:33 UTC, plasmasam
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description plasmasam 2005-10-13 20:14:36 UTC
There seems to be a repainting problem while moving rules in UI - at least in
Write, Impress and Draw. A guide line remains at several positions while moving
a   rule, resizing a table, etc. See attached screenshot. Tested on linux x86  /
Xorg 6.8.2 with ATI and Matrox drivers.
Comment 1 plasmasam 2005-10-13 20:15:30 UTC
Created attachment 30408 [details]
guides remain while resizing a table
Comment 2 plasmasam 2005-10-16 00:20:08 UTC
Oops, not quite true. It occurs only in Writer and both in 1.1.x and 2.0rc2.
Moving tabs in the upper ruler has the same effect.
Interesting is also that the guides appear solid, not dotted as at other
installations (same mandrake 10.2, Xorg 6.8.2, different graphic cards). This
one uses ATI radeon m9 and SXGA resolution.
Whereas the 4 rulers shown in Writer when moving e.g. a picture are dashed and
working ok ! Guide "traces" dissappear when moving other window over Writer or
scrolling page back and forth.

Removing accel, dri, dbe in xorg makes no difference. No redraw problems with
other apps.
Comment 3 plasmasam 2005-10-16 10:31:41 UTC
The behavior is the same both using the open source radeon driver from xorg6.8.2
and using ATI fglrx driver. 

Interesting is also that horizontal guides (eg. when resizing table row) appear
dotted as in other installation (but they leave those trace as well). It is also
not "blinking" while moving as the vertical guides do.

Are there any libbraries upon which the drawing in OO depends except for the
xorg stuff and freetype ?

Comment 4 plasmasam 2005-10-16 10:33:11 UTC
Created attachment 30505 [details]
another screenshot
Comment 5 plasmasam 2005-10-16 11:47:14 UTC
when sending (soffice.bin -display ...) the OO output from the computer where
garbling occurs onto X console of the computer where no garbling occurs, it
works ok. So, is it really specific to ATI driver ?
Comment 6 plasmasam 2005-10-16 12:28:31 UTC
another bit of info: disabling any acceleration by adding

Option "no_accel" "yes"

to the device section of xorg.conf removes the issue and even the vertical guide
appearts dotted !!! However, system is not really usable with this setting
(display too slow). Any ideas ?
Comment 7 plasmasam 2005-10-16 13:50:35 UTC
My final remark for today:
The issue seems to react to following 2 setting of xorg.conf/xaa/radeon:

1. Option "XaaNoMono8x8PatterFillRect"
2. Option "XaaNoScreenToScreenCopy"

Adding only the first one into the Screen section of the config will remove the
garbage issue (guides left behind when moving). However, they will be still
solid (not dotted as should be normally) and "flashing" during the move.

Adding the second one will give the expected normal behavior (dotted guide, no
flashing) but display is too slow since no BitBlt. 

Since all kind of other apps run ok on this system I still suspect bug could be
within OO code.
Comment 8 michael.ruess 2007-08-16 15:28:09 UTC
Reassigned to MRU.
Comment 9 michael.ruess 2007-08-17 10:03:52 UTC
I also experienced this in the past. But with newer builds, like OO 2.3, this
does not occur anymore.
Comment 10 michael.ruess 2007-08-17 10:06:57 UTC
Closed.